# engine_type.h File Reference

Types related to engines. More...

`#include "rail_type.h"`
`#include "cargo_type.h"`
`#include "vehicle_type.h"`
`#include "gfx_type.h"`
`#include "date_type.h"`
`#include "sound_type.h"`
`#include "company_type.h"`
`#include "strings_type.h"`

Go to the source code of this file.

## Data Structures
struct | RailVehicleInfo
struct | ShipVehicleInfo
struct | AircraftVehicleInfo
struct | RoadVehicleInfo
struct | EngineInfo
| Information about a vehicle. More...
## Typedefs
typedef uint16 | EngineID
## Enumerations
enum | RailVehicleTypes { RAILVEH_SINGLEHEAD, RAILVEH_MULTIHEAD, RAILVEH_WAGON }
enum | EngineClass { EC_STEAM, EC_DIESEL, EC_ELECTRIC, EC_MONORAIL, EC_MAGLEV }
enum | { AIR_HELI = 0, AIR_CTOL = 1, AIR_FAST = 2 }
enum | { EF_RAIL_TILTS = 0, EF_ROAD_TRAM = 0, EF_USES_2CC = 1, EF_RAIL_IS_MU = 2 }
| EngineInfo.misc_flags is a bitmask, with the following values. More...
enum | { ENGINE_AVAILABLE = 1, ENGINE_EXCLUSIVE_PREVIEW = 2, ENGINE_OFFER_WINDOW_OPEN = 4 }
| Engine.flags is a bitmask, with the following values. More...
enum | { NUM_VEHICLE_TYPES = 6, MAX_LENGTH_ENGINE_NAME_BYTES = 31, MAX_LENGTH_ENGINE_NAME_PIXELS = 160 }
## Variables
static const EngineID | INVALID_ENGINE = 0xFFFF

## Detailed Description

Types related to engines.

Definition in file engine_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  AIR_CTOL | Conventional Take Off and Landing, i.e. planes.

Definition at line 75 of file engine_type.h.

anonymous enum

EngineInfo.misc_flags is a bitmask, with the following values.

Enumerator:

  EF_RAIL_TILTS | Rail vehicle tilts in curves.
  EF_ROAD_TRAM | Road vehicle is a tram/light rail vehicle.
  EF_USES_2CC | Vehicle uses two company colours.
  EF_RAIL_IS_MU | Rail vehicle is a multiple-unit (DMU/EMU).

Definition at line 129 of file engine_type.h.

anonymous enum

Engine.flags is a bitmask, with the following values.

Enumerator:

  ENGINE_AVAILABLE | This vehicle is available to everyone.
  ENGINE_EXCLUSIVE_PREVIEW | This vehicle is in the exclusive preview stage, either being used or being offered to a company.
  ENGINE_OFFER_WINDOW_OPEN | The exclusive offer window is currently open for a company.

Definition at line 139 of file engine_type.h.

anonymous enum

Enumerator:

  MAX_LENGTH_ENGINE_NAME_BYTES | The maximum length of an engine name in bytes including ''.
  MAX_LENGTH_ENGINE_NAME_PIXELS | The maximum length of an engine name in pixels.

Definition at line 145 of file engine_type.h.

enum RailVehicleTypes

Enumerator:

  RAILVEH_SINGLEHEAD | indicates a "standalone" locomotive
  RAILVEH_MULTIHEAD | indicates a combination of two locomotives
  RAILVEH_WAGON | simple wagon, not motorized

Definition at line 21 of file engine_type.h.